Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455883 - firefox crashes on large jpg image
Summary: firefox crashes on large jpg image
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-18 16:04 UTC by Rahul Sundaram
Modified: 2013-03-13 05:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-28 14:12:06 UTC


Attachments (Terms of Use)

Description Rahul Sundaram 2008-07-18 16:04:18 UTC
Description of problem:

Firefox crashes on viewing the jpeg file

Version-Release number of selected component (if applicable):

firefox-3.0-1.fc9.i386
xulrunner-1.9-1.fc9.i386

How reproducible:

Everytime

Steps to Reproduce:

1.Visit http://zoy.org/~sam/lol-firefox3.jpeg

Actual results:

Expected results:

Firefox crashes

Additional info:

It doesn't crash on Firefox 2 and other browsers

Comment 1 Kevin 2008-07-19 07:34:22 UTC
Can confirm fault on my F9 system with the same FF3 package.

Does not fail on FF3.0 or FF3.1 on Windows Vista. Instead it just displays the
first part of the image.

Comment 2 Martin Stransky 2008-07-20 05:43:34 UTC
It crashes somewhere in X/GTK. Taking the bug.

Comment 3 Martin Stransky 2008-07-28 14:02:53 UTC
It crashes with any large image (with some pattern).

Comment 4 Martin Stransky 2008-07-28 14:12:06 UTC
moved upstream - https://bugzilla.mozilla.org/show_bug.cgi?id=448276


Note You need to log in before you can comment on or make changes to this bug.